/// <reference types="react" />
import { MessageProps } from "./components/Message";
import { CustomIcons, CustomStyling, UserData } from "./types";
export interface ConvoStackWidgetProps {
    graphqlUrl: string;
    websocketUrl: string;
    userData?: UserData;
    customStyling?: CustomStyling;
    icons?: CustomIcons;
    defaultAgent?: string | null;
    disableWidget?: boolean;
    children: React.ReactNode;
    CustomMessage?: React.ComponentType<MessageProps>;
}
declare const ConvoStackWidget: React.FC<Omit<ConvoStackWidgetProps, "children">>;
export default ConvoStackWidget;
